Menu

- Learn
- Documentation
  - Language Reference
  - Library Reference
  - Command-line Reference
  - Feature Overview
  - Articles
- Downloads
- Packages
- Community
  - Blog
  - Orgs using D
  - Twitter
  - Calendar
  - Forums
  - IRC
  - Wiki
  - GitHub
  - Issues
  - Get involved
  - Contributors
  - Foundation
  - Security Team
  - Donate
  - Sponsors
- Resources
  - Tour
  - Books
  - Tutorials
  - Tools
  - Editors
  - IDEs
  - run.dlang.io
  - Visual D
  - Acknowledgments
  - D Style
  - Glossary
  - Sitemap

Search
Report a bug
If you spot a problem with this page, click here to create a Bugzilla issue.
Improve this page
Quickly fork, edit online, and submit a pull request for this page. Requires a signed-in GitHub account. This works well for small changes. If you'd like to make larger changes you may want to consider using a local clone.

# dmd.filecache

Compiler implementation of the D programming language.
Authors:
Walter Bright
License:
Boost License 1.0

Source filecache.d

Documentation https://dlang.org/phobos/dmd_filecache.html

Coverage https://codecov.io/gh/dlang/dmd/src/master/src/dmd/filecache.d

class `FileAndLines`;
  A line-by-line representation of a dmd.root.file.File.
  this(const(char)[] `filename`);
    File to read and split into its lines.
struct `FileCache`;
  A simple file cache that can be used to avoid reading the same file multiple times. It stores its cached files as FileAndLines
  FileAndLines `addOrGetFile`(const(char)[] `file`);
    Add or get a file from the file cache. If the file isn't part of the cache, it will be read from the filesystem. If the file has been read before, the cached file object will be returned
    Parameters:

    const(char)[] `file` | file to load in (or get from) the cache

    Returns:
    a FileAndLines object containing a line-by-line representation of the requested file

Copyright © 1999-2019 by the D Language Foundation | Page generated by Ddoc on Sat Mar 2 03:27:10 2019